Octave telepítés

Fórum: 

 Sziasztok!

Octave-ot szeretnék feltenni, de a szoftverkezelőben hiába találtam meg, nem elérhető.

Próbáltam parancssorból: sudo apt-get install octave

Ezzel a hibával zárult: 

Az alábbi csomagoknak teljesítetlen függőségei vannak:
octave : Függ ettől: libosmesa6 (>= 10.2~) de az nincs telepítésre megjelölve

Innen letöltöttem: https://ftp.gnu.org/gnu/octave/ de így se sikrült.

Segítsetek legyetek szívesek.

 

kimarite képe

Octave telepítés

@#0 Telepíted a libosmesa6 csomagot ..., de nekem sikerült (teszt), lásd lentebb. Kérhetnénk egy

inxi -S

kimenetet?

Nálam (18.2):

kim@kim-hp ~ $ sudo apt-get install octave -s
[sudo] kim jelszava:
Csomaglisták olvasása... Kész
Függőségi fa építése      
Állapotinformációk olvasása... Kész
A következő további csomagok lesznek telepítve:
  ca-certificates-java default-jre-headless libaec0 libarpack2
  libcxsparse3.1.4 libfltk-gl1.3 libfltk1.3 libgl2ps0 libglpk36
  libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libhdf5-10 liboctave3
  libosmesa6 libqhull7 libqrupdate1 libqscintilla2-12v5 libqscintilla2-l10n
  libsz2 libtext-unidecode-perl libxml-libxml-perl
  libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl
  octave-common openjdk-8-jre-headless tex-common texinfo
Javasolt csomagok:
  default-jre libiodbc2-dev libmysqlclient-dev graphicsmagick-dbg octave-info
  octave-doc octave-htmldoc fonts-ipafont-gothic fonts-ipafont-mincho
  fonts-wqy-zenhei debhelper texlive-base texlive-latex-base
  texlive-generic-recommended texinfo-doc-nonfree
Ajánlott csomagok:
  libxml-sax-expat-perl gnuplot-x11 | gnuplot-qt libopenblas-base
  | libatlas3-base pstoedit
Az alábbi ÚJ csomagok lesznek telepítve:
  ca-certificates-java default-jre-headless libaec0 libarpack2
  libcxsparse3.1.4 libfltk-gl1.3 libfltk1.3 libgl2ps0 libglpk36
  libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libhdf5-10 liboctave3
  libosmesa6 libqhull7 libqrupdate1 libqscintilla2-12v5 libqscintilla2-l10n
  libsz2 libtext-unidecode-perl libxml-libxml-perl
  libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl octave
  octave-common openjdk-8-jre-headless tex-common texinfo
0 frissített, 29 újonnan telepített, 0 eltávolítandó és 20 nem frissített.
Inst libqrupdate1 (1.1.2-1build1 Ubuntu:16.04/xenial [amd64])
Inst openjdk-8-jre-headless (8u151-b12-0ubuntu0.16.04.2 Ubuntu:16.04/xenial-updates, Ubuntu:16.04/xenial-security [amd64]) []
Inst default-jre-headless (2:1.8-56ubuntu2 Ubuntu:16.04/xenial [amd64]) []
Inst ca-certificates-java (20160321ubuntu1 Ubuntu:16.04/xenial-updates [all])
Inst libaec0 (0.3.2-1 Ubuntu:16.04/xenial [amd64])
Inst libarpack2 (3.3.0-1build2 Ubuntu:16.04/xenial [amd64])
Inst libcxsparse3.1.4 (1:4.4.6-1 Ubuntu:16.04/xenial [amd64])
Inst libfltk1.3 (1.3.3-7 Ubuntu:16.04/xenial [amd64])
Inst libfltk-gl1.3 (1.3.3-7 Ubuntu:16.04/xenial [amd64])
Inst libgl2ps0 (1.3.8-1.2 Ubuntu:16.04/xenial [amd64])
Inst libglpk36 (4.57-1build3 Ubuntu:16.04/xenial [amd64])
Inst libgraphicsmagick-q16-3 (1.3.23-1build1 Ubuntu:16.04/xenial [amd64])
Inst libgraphicsmagick++-q16-12 (1.3.23-1build1 Ubuntu:16.04/xenial [amd64])
Inst libsz2 (0.3.2-1 Ubuntu:16.04/xenial [amd64])
Inst libhdf5-10 (1.8.16+docs-4ubuntu1 Ubuntu:16.04/xenial [amd64])
Inst liboctave3 (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [amd64])
Inst libqhull7 (2015.2-1 Ubuntu:16.04/xenial [amd64])
Inst libqscintilla2-l10n (2.9.1+dfsg-4build1 Ubuntu:16.04/xenial [all])
Inst libqscintilla2-12v5 (2.9.1+dfsg-4build1 Ubuntu:16.04/xenial [amd64])
Inst libtext-unidecode-perl (1.27-1 Ubuntu:16.04/xenial [all])
Inst libxml-namespacesupport-perl (1.11-1 Ubuntu:16.04/xenial [all])
Inst libxml-sax-base-perl (1.07-1 Ubuntu:16.04/xenial [all])
Inst libxml-sax-perl (0.99+dfsg-2ubuntu1 Ubuntu:16.04/xenial [all])
Inst libxml-libxml-perl (2.0123+dfsg-1ubuntu0.1 Ubuntu:16.04/xenial-updates, Ubuntu:16.04/xenial-security [amd64])
Inst tex-common (6.04 Ubuntu:16.04/xenial [all])
Inst texinfo (6.1.0.dfsg.1-5 Ubuntu:16.04/xenial [amd64])
Inst libosmesa6 (17.2.8-0ubuntu0~16.04.1 Ubuntu:16.04/xenial-updates [amd64])
Inst octave-common (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [all])
Inst octave (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [amd64])
Conf libqrupdate1 (1.1.2-1build1 Ubuntu:16.04/xenial [amd64])
Conf ca-certificates-java (20160321ubuntu1 Ubuntu:16.04/xenial-updates [all])
Conf openjdk-8-jre-headless (8u151-b12-0ubuntu0.16.04.2 Ubuntu:16.04/xenial-updates, Ubuntu:16.04/xenial-security [amd64])
Conf default-jre-headless (2:1.8-56ubuntu2 Ubuntu:16.04/xenial [amd64])
Conf libaec0 (0.3.2-1 Ubuntu:16.04/xenial [amd64])
Conf libarpack2 (3.3.0-1build2 Ubuntu:16.04/xenial [amd64])
Conf libcxsparse3.1.4 (1:4.4.6-1 Ubuntu:16.04/xenial [amd64])
Conf libfltk1.3 (1.3.3-7 Ubuntu:16.04/xenial [amd64])
Conf libfltk-gl1.3 (1.3.3-7 Ubuntu:16.04/xenial [amd64])
Conf libgl2ps0 (1.3.8-1.2 Ubuntu:16.04/xenial [amd64])
Conf libglpk36 (4.57-1build3 Ubuntu:16.04/xenial [amd64])
Conf libgraphicsmagick-q16-3 (1.3.23-1build1 Ubuntu:16.04/xenial [amd64])
Conf libgraphicsmagick++-q16-12 (1.3.23-1build1 Ubuntu:16.04/xenial [amd64])
Conf libsz2 (0.3.2-1 Ubuntu:16.04/xenial [amd64])
Conf libhdf5-10 (1.8.16+docs-4ubuntu1 Ubuntu:16.04/xenial [amd64])
Conf liboctave3 (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [amd64])
Conf libqhull7 (2015.2-1 Ubuntu:16.04/xenial [amd64])
Conf libqscintilla2-l10n (2.9.1+dfsg-4build1 Ubuntu:16.04/xenial [all])
Conf libqscintilla2-12v5 (2.9.1+dfsg-4build1 Ubuntu:16.04/xenial [amd64])
Conf libtext-unidecode-perl (1.27-1 Ubuntu:16.04/xenial [all])
Conf libxml-namespacesupport-perl (1.11-1 Ubuntu:16.04/xenial [all])
Conf libxml-sax-base-perl (1.07-1 Ubuntu:16.04/xenial [all])
Conf libxml-sax-perl (0.99+dfsg-2ubuntu1 Ubuntu:16.04/xenial [all])
Conf libxml-libxml-perl (2.0123+dfsg-1ubuntu0.1 Ubuntu:16.04/xenial-updates, Ubuntu:16.04/xenial-security [amd64])
Conf tex-common (6.04 Ubuntu:16.04/xenial [all])
Conf texinfo (6.1.0.dfsg.1-5 Ubuntu:16.04/xenial [amd64])
Conf libosmesa6 (17.2.8-0ubuntu0~16.04.1 Ubuntu:16.04/xenial-updates [amd64])
Conf octave-common (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [all])
Conf octave (4.0.0-3ubuntu9.1 Ubuntu:16.04/xenial-updates [amd64])
kim@kim-hp ~ $

Értékelés: 

0
Még nincs értékelve

Octave telepítés

Szia!

 

Igen, próbáltam feltenni synaptic-ból a hiányzó csomagot (ezt elfelejtettem leírni) de ez a hibaüzenet:

libosmesa6:
Függ ettől: libglapi-mesa (=12.0.6-0ubuntu0.16.04.1), de csak 17.0.7-0ubuntu0.16.04.2 telepíthető 

inxi -s kimenete nálam:

System: Host: nagyz-Lenovo-ideapad-100-15IBD Kernel: 4.13.0-36-generic x86_64 (64 bit) Desktop: Cinnamon 3.6.7
Distro: Linux Mint 18.3 Sylvia
 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Octave telepítés

#2 Az

inxi -r

és a

apt-cache policy octave

kimenetek?

Értékelés: 

0
Még nincs értékelve

Octave telepítés

inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list.d/octave-stable-xenial.list
deb http://ppa.launchpad.net/octave/stable/ubuntu xenial main
deb-src http://ppa.launchpad.net/octave/stable/ubuntu xenial main
Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
deb http://mirror.infotronik.hu/mirrors/linuxmint/packages sylvia main upstream import backport
deb http://ftp.freepark.org/ubuntu xenial main restricted universe multiverse
deb http://ftp.freepark.org/ubuntu xenial-updates main restricted universe multiverse
deb http://ftp.freepark.org/ubuntu xenial-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ xenial partner
apt-cache policy octave
  Telepítve: (nincs)
  Jelölt:    4.2.1-2~octave~xenial1
  Verziótáblázat:
     4.2.1-2~octave~xenial1 500
        500 http://ppa.launchpad.net/octave/stable/ubuntu xenial/main amd64 Packages
     4.0.0-3ubuntu9.1 500
        500 http://ftp.freepark.org/ubuntu xenial-updates/universe amd64 Packages
     4.0.0-3ubuntu9 500
        500 http://ftp.freepark.org/ubuntu xenial/universe amd64 Packages

Értékelés: 

0
Még nincs értékelve
kimarite képe

Octave telepítés

#5 Felvettél egy PPA-t,
https://launchpad.net/~octave/+archive/ubuntu/stable
amelyben az Octave csomag bug-os.

Kapcsold ki a PPA-t (Szoftverforrások), majd a beállítások frissítése után

sudo apt-get update

próbáld telepíteni az Octave csomagot.

sudo apt-get install octave

Ha sikerül a telepítés (nekem PPA nélkül sikerült), akkr megpróbálhatod bekapcsolni a PPA-t, majd update, és meg fog jelenni a frissíthető csomagok között. Azt majd meglátjuk, mi fog történni akkor. Vélhetően akkor sem települ, ekkor
-- megint kikapcsolod a PPA-t és update
-- lehetséges az is, hogy átírom a csomag függőségeit, és akkor nem lesz ez a hiba.

Lehet bug-ot jelenteni:
For questions and bugs with software in this PPA please contact GNU Octave.
Ma már nem tudom megtenni egyik dolgot sem, de te megteheted az egyiket, mármint, hogy bug-ot jelentesz.

 

Értékelés: 

0
Még nincs értékelve

Octave telepítés

Szia!

Töröltem PPA-t.

Első parancs után:
Találat:1 http://ftp.freepark.org/ubuntu xenial InRelease
Találat:2 http://ftp.freepark.org/ubuntu xenial-updates InRelease
Találat:3 http://ftp.freepark.org/ubuntu xenial-backports InRelease
Mellőz:4 http://mirror.infotronik.hu/mirrors/linuxmint/packages sylvia InRelease
Találat:5 http://archive.canonical.com/ubuntu xenial InRelease
Találat:6 http://mirror.infotronik.hu/mirrors/linuxmint/packages sylvia Release
Letöltés:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Letöltve 102 kB 3mp alatt (25,9 kB/s)
Csomaglisták olvasása... Kész

Második után:

Csomaglisták olvasása... Kész
Függőségi fa építése
Állapotinformációk olvasása... Kész
Néhány csomagot nem lehetett telepíteni. Ez azt jelentheti, hogy
egy lehetetlen állapotot kért, vagy ha az unstable disztribúciót
használja, akkor néhány igényelt csomag még nem készült el vagy ki
lett mozdítva az Incoming-ból.
Az alábbi információk segíthetnek megoldani a problémát:

Az alábbi csomagoknak teljesítetlen függőségei vannak:
octave : Függ ettől: libosmesa6 (>= 10.2~) de az nincs telepítésre megjelölve
E: A problémák nem javíthatók, sérült csomagokat fogott vissza.

Tehát még mindig a libosmesa6 nem stimmel. Köszi szépen, hogy segítesz. 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Octave telepítés

#7 Jobb híján egy másik út.

Telepítsd az aptitude-ot

sudo apt-get install aptitude

Majd

sudo aptitude install octave

De addig nyomogass n -t (nem), amíg ki nem írja, több lehetőség nem létezik. Ekkor nyomj q -t (kilépés). Akkor az egész szöveget oszt meg a https://paste.ubuntu.com/ oldal segítségével. Egy linket kérünk onnan.

-----

A te kimeneted,

Találat:1 http://ftp.freepark.org/ubuntu xenial InRelease
Találat:2 http://ftp.freepark.org/ubuntu xenial-updates InRelease
Találat:3 http://ftp.freepark.org/ubuntu xenial-backports InRelease
Mellőz:4 http://mirror.infotronik.hu/mirrors/linuxmint/packages sylvia InRelease
Találat:5 http://archive.canonical.com/ubuntu xenial InRelease
Találat:6 http://mirror.infotronik.hu/mirrors/linuxmint/packages sylvia Release
Letöltés:8 http://security.ubuntu.com/ubuntu  xenial-security InRelease [102 kB]
Letöltve 102 kB 3mp alatt (25,9 kB/s)
Csomaglisták olvasása... Kész

és az enyém.

Mellőz:1 http://ftp.energotel.sk/pub/linux/linuxmint-packages sonya InRelease
Találat:2 http://ftp.energotel.sk/pub/linux/ubuntu/archive xenial InRelease   
Találat:3 http://ftp.energotel.sk/pub/linux/ubuntu/archive xenial-updates InRelease
Találat:4 http://ftp.energotel.sk/pub/linux/ubuntu/archive xenial-backports InRelease
Találat:5 http://ftp.energotel.sk/pub/linux/linuxmint-packages sonya Release  
Találat:6 http://archive.canonical.com/ubuntu xenial InRelease                
Találat:7 http://security.ubuntu.com/ubuntu xenial-security InRelease         
Csomaglisták olvasása... Kész

Értékelés: 

0
Még nincs értékelve
tresor képe

Linux Mint 18.3 Sylvia Cinnamon

#11  

Synaptic»»»»»»törött csomagok javítása.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Octave telepítés

#9 Paste not found | The Paste you are looking for does not currently exist.
Nem található a paste ...

De akkor ezt csináld:

sudo apt-get clean
sudo apt-get update
sudo apt-get install octave

Nálam

inxi -S
System: Host: kim-hp Kernel: 4.8.0-53-generic x86_64 (64 bit)
Desktop: Cinnamon 3.6.7 Distro: Linux Mint 18.3 Sylvia

települt, és GNU Octave néven érhető el menüből (Oktatás).
A rendszerem már nem Sonya, hanem Sylvia, ahogy mint a tied.
 

Értékelés: 

0
Még nincs értékelve